osl::PieceTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
osl::PieceTable Class Reference

`#include <pieceTable.h>`

Collaboration diagram for osl::PieceTable:
[legend]

## Public Member Functions
| PieceTable ()
Ptype | getPtypeOf (int num) const

## Static Public Member Functions
static bool | validNumber (int num)

## Private Member Functions
template<Ptype T>
void | initPtype ()

## Private Attributes
CArray< Ptype, Piece::SIZE > | ptypes

## Detailed Description

Definition at line 10 of file pieceTable.h.

## Constructor & Destructor Documentation

osl::PieceTable::PieceTable | ( | ) |  |

Definition at line 15 of file pieceTable.cc.

## Member Function Documentation

Ptype osl::PieceTable::getPtypeOf | ( | int | num) |  | const
| inline

Definition at line 18 of file pieceTable.h.

References ptypes, and validNumber().

Referenced by osl::state::NumEffectState::findThreatenedPiece(), osl::state::SimpleState::init(), osl::state::SimpleState::isConsistent(), osl::eval::PieceEval::PieceEval(), osl::progress::PtypeProgress::PtypeProgress(), osl::state::SimpleState::setPiece(), osl::state::SimpleState::setPieceAll(), osl::eval::ppair::PiecePairEvalTableBase< Table >::setValues(), osl::record::csa::show(), osl::state::NumEffectState::showEffect(), and osl::record::MiniBoardChar50::toSimpleState().

template<osl::Ptype T>

void osl::PieceTable::initPtype | ( | ) |  |
| private

Definition at line 7 of file pieceTable.cc.

References ptypes.

static bool osl::PieceTable::validNumber | ( | int | num) |  |
| inlinestatic

Definition at line 22 of file pieceTable.h.

Referenced by getPtypeOf().

## Member Data Documentation

CArray<Ptype, Piece::SIZE> osl::PieceTable::ptypes
| private

Definition at line 13 of file pieceTable.h.

Referenced by getPtypeOf(), and initPtype().

The documentation for this class was generated from the following files:

- pieceTable.h
- pieceTable.cc